## ros-one-jrl-cmakemodules 1.1.0-9jammy.20251103.2032

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.0-9jammy.20251103.2032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:32:54 +0000

ros-one-jrl-cmakemodules (1.1.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:32:54 -0000

## ros-one-jrl-cmakemodules 1.1.0-9noble.20251103.2028

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)

set(PROJECT_NAME "jrl-cmakemodules")
set(PROJECT_DESCRIPTION "CMake utility toolbox")
set(PROJECT_URL "http://github.com/jrl-umi3218/${PROJECT_NAME}")

project(${PROJECT_NAME} DESCRIPTION ${PROJECT_DESCRIPTION} LANGUAGES CXX)

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
  set(PROJECT_JRL_CMAKE_MODULE_DIR ${CMAKE_CURRENT_LIST_DIR})
  include(base.cmake)
  COMPUTE_PROJECT_ARGS(PROJECT_ARGS LANGUAGES CXX)
  project(${PROJECT_NAME} ${PROJECT_ARGS})

  # Add a dummy library with a useful INTERFACE_INCLUDE_DIRECTORIES
  add_library(${PROJECT_NAME} INTERFACE)
  set(INSTALL_DIR "${CMAKE_INSTALL_DATAROOTDIR}/${PROJECT_NAME}")
  target_include_directories(
    ${PROJECT_NAME}
    INTERFACE $<INSTALL_INTERFACE:${INSTALL_DIR}>
  )

  # find . -maxdepth 1 -type d ! -path './.*' | sort
  install(
    DIRECTORY
      ./boost
      ./cython
      ./doxygen
      ./dynamic_graph
      ./find-external
      ./github
      ./gtest
      ./hpp
      ./image
      ./sphinx
      ./stubgen
      ./_unittests
    DESTINATION ${INSTALL_DIR}
  )

  # find . -maxdepth 1 -type f ! -perm 111 ! -path './.*' | sort
  install(
    PROGRAMS
      ./announce-gen
      ./fix-license.sh
      ./git-archive-all.py
      ./git-archive-all.sh
      ./gitlog-to-changelog
      ./pixi.py
      ./pyproject.py
    DESTINATION ${INSTALL_DIR}
  )

  # find . -maxdepth 1 -type f ! -perm /111 ! -path './.*' | sort
  install(
    FILES
      ./apple.cmake
      ./base.cmake
      ./boost.cmake
      ./catkin.cmake
      ./CMakeLists.txt
      ./cmake_reinstall.cmake.in
      ./cmake_uninstall.cmake.in
      ./compiler.cmake
      ./componentConfig.cmake.in
      ./Config.cmake.in
      ./config.h.cmake
      ./config.hh.cmake
      ./coverage.cmake
      ./cpack.cmake
      ./createshexe.cmake
      ./cxx11.cmake
      ./cxx-standard.cmake
      ./debian.cmake
      ./deprecated.hh.cmake
      ./distcheck.cmake
      ./dist.cmake
      ./doxygen.cmake
      ./eigen.cmake
      ./filefilter.txt
      ./flake.lock
      ./flake.nix
      ./geometric-tools.cmake
      ./GNUInstallDirs.cmake
      ./gtest.cmake
      ./header.cmake
      ./hpp.cmake
      ./ide.cmake
      ./idl.cmake
      ./idlrtc.cmake
      ./install-data.cmake
      ./install-helpers.cmake
      ./julia.cmake
      ./kineo.cmake
      ./lapack.cmake
      ./LICENSE
      ./logging.cmake
      ./man.cmake
      ./memorycheck_unit_test.cmake.in
      ./metapodfromurdf.cmake
      ./modernize-links.cmake
      ./msvc-specific.cmake
      ./msvc.vcxproj.user.in
      ./openhrp.cmake
      ./openhrpcontroller.cmake
      ./openrtm.cmake
      ./oscheck.cmake
      ./package-config.cmake
      ./package.xml
      ./pkg-config.cmake
      ./pkg-config.pc.cmake
      ./portability.cmake
      ./post-project.cmake
      ./pthread.cmake
      ./python.cmake
      ./python-helpers.cmake
      ./qhull.cmake
      ./README.md
      ./release.cmake
      ./relpath.cmake
      ./ros2.cmake
      ./ros.cmake
      ./sdformat.cmake
      ./setup.cfg
      ./shared-library.cmake
      ./sphinx.cmake
      ./stubs.cmake
      ./swig.cmake
      ./test.cmake
      ./tracy.cmake
      ./tracy.hh.cmake
      ./uninstall.cmake
      ./version.cmake
      ./version-script.cmake
      ./version-script-test.lds
      ./warning.hh.cmake
      ./xacro.cmake
    DESTINATION ${INSTALL_DIR}
  )

  install(TARGETS ${PROJECT_NAME} EXPORT ${TARGETS_EXPORT_NAME})

  SETUP_PROJECT_PACKAGE_FINALIZE()
endif()

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.0-9noble.20251103.2028) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:28:24 +0000

ros-one-jrl-cmakemodules (1.1.0-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 03 Nov 2025 20:28:24 -0000

## ros-one-jrl-cmakemodules 1.1.2-12jammy.20251207.2026

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-12jammy.20251207.2026) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Sun, 07 Dec 2025 20:26:35 +0000

ros-one-jrl-cmakemodules (1.1.2-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Sun, 07 Dec 2025 20:26:35 -0000

## ros-one-jrl-cmakemodules 1.1.2-12noble.20251208.0721

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-12noble.20251208.0721) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 08 Dec 2025 07:21:09 +0000

ros-one-jrl-cmakemodules (1.1.2-0noble) noble; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Mon, 08 Dec 2025 07:21:09 -0000

## ros-one-jrl-cmakemodules 1.1.2-24jammy.20260116.2027

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-24jammy.20260116.2027) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Fri, 16 Jan 2026 20:27:31 +0000

## ros-one-jrl-cmakemodules 1.1.2-24noble.20260116.2027

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-24noble.20260116.2027) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Fri, 16 Jan 2026 20:27:23 +0000

## ros-one-jrl-cmakemodules 1.1.2-27jammy.20260226.2044

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-27jammy.20260226.2044) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Thu, 26 Feb 2026 20:44:22 +0000

## ros-one-jrl-cmakemodules 1.1.2-27noble.20260226.2043

=== _unittests/cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)

set(PROJECT_NAME jrl-cmakemodules-cpp)
set(PROJECT_VERSION 0.0.0)
set(PROJECT_DESCRIPTION "JRL CMake module - cpp")
set(PROJECT_URL http://jrl-cmakemodules.readthedocs.io)
set(PROJECT_USE_CMAKE_EXPORT TRUE)

include(../../base.cmake)

COMPUTE_PROJECT_ARGS(PROJECT_ARGS LANGUAGES CXX)
project(${PROJECT_NAME} ${PROJECT_ARGS})

set(${PROJECT_NAME}_HEADERS include/jrl_cmakemodule/lib.hh)

add_library(jrl_cmakemodule_lib SHARED src/lib.cc)
target_include_directories(
  jrl_cmakemodule_lib
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)

install(
  TARGETS jrl_cmakemodule_lib
  EXPORT ${TARGETS_EXPORT_NAME}
  DESTINATION lib
)

add_executable(jrl_cmakemodule_main src/main.cc)
target_link_libraries(jrl_cmakemodule_main jrl_cmakemodule_lib)

install(TARGETS jrl_cmakemodule_main DESTINATION main)

=== _unittests/dependency/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)

set(PROJECT_NAME jrl-cmakemodules-dependency)
set(PROJECT_VERSION 0.0.0)
set(PROJECT_DESCRIPTION "JRL CMake module - dependency")
set(PROJECT_URL http://jrl-cmakemodules.readthedocs.io)
set(INSTALL_DOCUMENTATION OFF)

include(../macros.cmake)

include(../../base.cmake)

COMPUTE_PROJECT_ARGS(PROJECT_ARGS LANGUAGES CXX)
project(${PROJECT_NAME} ${PROJECT_ARGS})

ADD_PROJECT_DEPENDENCY(jrl-cmakemodules-cpp REQUIRED)

check_exist_target(jrl-cmakemodules-cpp::jrl_cmakemodule_lib "")

check_exist_variable(jrl-cmakemodules-cpp_FOUND "")

=== debian/changelog ===
ros-one-jrl-cmakemodules (1.1.2-27noble.20260226.2043) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Guilhem Saurel <guilhem.saurel@laas.fr>  Thu, 26 Feb 2026 20:43:42 +0000

=== debian/control ===
Source: ros-one-jrl-cmakemodules
Section: misc
Priority: optional
Maintainer: Guilhem Saurel <guilhem.saurel@laas.fr>
Build-Depends: debhelper (>= 9.0.0), cmake, doxygen, pkg-config
Homepage: https://github.com/jrl-umi3218/jrl-cmakemodules
Standards-Version: 3.9.2

Package: ros-one-jrl-cmakemodules
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, doxygen, pkg-config
Description: CMake utility toolbox

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jrl-cmakemodules//opt/ros/one/lib/:$(CURDIR)/debian/ros-one-jrl-cmakemodules//opt/ros/one/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
